libzypp 17.37.10

zypp::media::NoVerifier Class Reference

Dummy default media verifier, which is always happy. More...

`#include <zypp/media/MediaManager.h>`

Inheritance diagram for zypp::media::NoVerifier:

## Public Member Functions
| NoVerifier ()
| ~NoVerifier () override
std::string | info () const override
| Returns the "zypp::media::NoVerifier" string.
bool | isDesiredMedia (const MediaHandler &ref) const override
Public Member Functions inherited from zypp::media::MediaVerifierBase
| MediaVerifierBase ()
virtual | ~MediaVerifierBase ()

## Detailed Description

Dummy default media verifier, which is always happy.

Definition at line 77 of file MediaManager.h.

## Constructor & Destructor Documentation

## ◆ NoVerifier()

zypp::media::NoVerifier::NoVerifier | ( |  | ) |
| inline

Definition at line 80 of file MediaManager.h.

## ◆ ~NoVerifier()

zypp::media::NoVerifier::~NoVerifier | ( |  | ) |
| inline override

Definition at line 83 of file MediaManager.h.

## Member Function Documentation

## ◆ info()

std::string zypp::media::NoVerifier::info | ( |  | ) | const
| override virtual

Returns the "zypp::media::NoVerifier" string.

Reimplemented from zypp::media::MediaVerifierBase.

Definition at line 199 of file MediaManager.cc.

## ◆ isDesiredMedia()

bool zypp::media::NoVerifier::isDesiredMedia | ( | const MediaHandler & | ref | ) | const
| inline override virtual

Implements zypp::media::MediaVerifierBase.

Definition at line 95 of file MediaManager.h.

The documentation for this class was generated from the following files:

- zypp/media/MediaManager.h
- zypp/media/MediaManager.cc